repos:
-   repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v2.5.0
    hooks:
    -   id: double-quote-string-fixer
    -   id: end-of-file-fixer
    -   id: fix-encoding-pragma
    -   id: mixed-line-ending
    -   id: trailing-whitespace

-   repo: https://github.com/ikamensh/flynt/
    rev: '0.76'
    hooks:
    -   id: flynt

-   repo: https://github.com/pycqa/isort
    rev: '5.10.1'
    hooks:
    -   id: isort

-   repo: https://github.com/pre-commit/mirrors-yapf
    rev: v0.32.0
    hooks:
    -   id: yapf
        name: yapf
        types: [python]
        args: ['-i']
        additional_dependencies: ['toml']

-   repo: https://github.com/pre-commit/mirrors-mypy
    rev: v0.790
    hooks:
    -   id: mypy
        args: [--config-file=tox.ini]
        additional_dependencies: ['aio_pika~=6.6']
        files: >
            (?x)^(
                plumpy/.*py|
            )$

-   repo: https://github.com/PyCQA/pylint
    rev: v2.12.2
    hooks:
    -   id: pylint
        language: system
        exclude: >
            (?x)^(
                docs/source/conf.py|
                test/.*|
            )$
